-- Test file for glua 1.0 (Lua side)
-- Copyright (c) 2002 Enrico Colombini.


-- 'commented out' lines are error tests, uncomment to try out


print()
print("----- 'Bitand' test -----")
print()
a = 11 -- (binary 1011)
b = 6  -- (binary 0110)
c = Bitand(a, b)
print(a.." AND "..b.." = "..c)  -- result should be 2 (binary 0010)
print()
-- c = Bitand(a) -- too few args
-- c = Bitand(a, b, 8) -- too many args


print()
print("----- 'StatusDesc' test -----")
print()
print(StatusDesc(GOOD))
print(StatusDesc(46))
print(StatusDesc(DUBIOUS))
print()
-- StatusDesc("bad") -- wrong data type


print()
print("----- 'Next' test -----")
print()
n = 5
print("After "..n.." comes "..Next(n)) 
print()


print()
print("----- 'Coord' test -----")
print()
c = NewCoord(3.14, 10)
x,y = GetCoord(c);
print ("x="..x..", y="..y)
DeleteCoord(c)
print()
-- w = NewWhat()  -- wrong tag (uncomment both lines to test)
-- DeleteCoord(w)


print()
print("----- 'Arg2' test -----")
print()
print(Arg2(-6, 13.5))
print(Arg2("Hi"))
print()
-- c = Arg2(3)        -- too few args
-- c = Arg2("a", "b") -- too many args


print()
print("----- End of tests -----")
print()
